package com.neusoft.smart.pos.strategy.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @description 业务错误信息使用枚举类
 */
public enum StrategyErrorCode implements CommonCode {

    PATAM_INFO_NOT_EXIST("16001", "参数信息不存在"),
    PATAM_INFO_FORMAT("16002", "参数信息格式错误"),
    ;

    private String code;
    private String message;

    StrategyErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
